{% import '@GaiaAdmin/Macro/buttons.html.twig' as buttons %}

{% set path = options.link.url|default(path(options.link.route|default(grid.requestConfiguration.getRouteName('delete')), options.link.parameters|default({'id': data.id}))) %}

{% set icon = action.icon|default('trash') %}

{{ buttons.delete(path, action.label, true, data.id, icon, options.role is defined and is_granted(options.role, data) == false) }}